List Smart Sources
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/smart-sources \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/smart-sources"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/smart-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_data_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source_type": "api",
"is_active": true,
"sync_status": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"next_sync_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]Smart Sources
List Smart Sources
List SmartSources attached to a given CustomDataSource.
GET
/
api
/
v1
/
smart-sources
List Smart Sources
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/smart-sources \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/smart-sources"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/smart-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_data_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source_type": "api",
"is_active": true,
"sync_status": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"next_sync_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Query Parameters
Response
200 - application/json
OK
Available options:
api, s3, sharepoint 